For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • POSTCreate Consumer Plaid Link Token
      • POSTVerify Bank Account
Get a Demo
LogoLogo
API ReferencePlaid

Create Consumer Plaid Link Token

POST
https://host.com/v2/consumers/:consumer_id/accounts/plaid-link-token
POST
/v2/consumers/:consumer_id/accounts/plaid-link-token
$curl -X POST https://host.com/v2/consumers/consumer_id/accounts/plaid-link-token \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "is_mobile_app": true
>}'
200Successful
1{
2 "link_token": "link-sandbox-f1133b83-510a-46de-87d7-2add5fa593d3",
3 "expiration": 117727789310003,
4 "hosted_link_url": "https://secure.plaid.com/hl/lss6688o38065n91qr32q27nqq0sn048q8"
5}

Generate a Plaid Link Token for a consumer. POST /v2/consumers/{consumer_id}/accounts/plaid-link-token

Was this page helpful?
Previous

Verify Bank Account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

consumer_idstringRequired

Request

This endpoint expects an object.
is_mobile_appbooleanRequired

Response

link_tokenstring
expirationinteger
hosted_link_urlstringformat: "uri"